- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# sbuild-parse-value.cc File Reference

`#include <config.h>`
`#include "sbuild-parse-value.h"`

Include dependency graph for sbuild-parse-value.cc:

## Typedefs
typedef std::pair< parse_value_error_code, const char * > | emap
## Functions
void | sbuild::parse_value (std::string const &value, bool &parsed_value)
| Parse a boolean value.
void | sbuild::parse_value (std::string const &value, std::string &parsed_value)
| Parse a string value.
## Variables
emap | init_errors []
| This is a list of the supported error codes.

## Typedef Documentation

typedef std::pair<parse_value_error_code,const char *> emap`[static]`

## Variable Documentation

emap init_errors[]`[static]`

Initial value:

        {

          emap(BAD_VALUE, N_("Could not parse value '%1%'"))
        }

This is a list of the supported error codes.

It's used to construct the real error codes map.